unit uvalidation;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dxCore, dxButton, ExtCtrls, StdCtrls, DB, IBCustomDataSet,
  IBQuery;

type
  Tfrmvalidation = class(TForm)
    Label1: TLabel;
    dxButton1: TdxButton;
    dxButton2: TdxButton;
    Image1: TImage;
    Label8: TLabel;
    Label5: TLabel;
    Label11: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    montanttransactionsCONTROLE: TIBQuery;
    montanttransactionsCONTROLEMFISCAL: TIBStringField;
    montanttransactionsCONTROLEEXERCICE: TIntegerField;
    montanttransactionsCONTROLELG: TIntegerField;
    montanttransactionsCONTROLETYPEMONTANT: TIBStringField;
    montanttransactionsCONTROLENATUREOPERATIONS: TIBStringField;
    montanttransactionsCONTROLEAUTRESNATURESOPERATIONS: TIBStringField;
    montanttransactionsCONTROLEACHATS: TIBBCDField;
    montanttransactionsCONTROLEVENTES: TIBBCDField;
    montanttransactionsCONTROLEMATRICULEFISCAL: TIBStringField;
    montanttransactionsCONTROLEAUTREIDENTIFIANT: TIBStringField;
    montanttransactionsCONTROLEETATTERRITORIAL: TIBStringField;
    montanttransactionsCONTROLERAISONSOCIALE: TIBStringField;
    montanttransactionsCONTROLEQUALITE: TIBStringField;
    montanttransactionsCONTROLEAUTREQUALITE: TIBStringField;
    montanttransactionsCONTROLENATURRELATION: TIBStringField;
    montanttransactionsCONTROLEAUTRENATURERELATIONS: TIBStringField;
    montanttransactionsCONTROLEMETHODE: TIBStringField;
    montanttransactionsCONTROLEAUTREMETHODE: TBlobField;
    montanttransactionsCONTROLECHANGEMENTMETHODE: TIBStringField;
    montanttransactionsCONTROLECHANGEMENTAUTREMETRHODE: TIBStringField;
    procedure dxButton1Click(Sender: TObject);
    procedure dxButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmvalidation: Tfrmvalidation;

implementation

{$R *.dfm}
uses ucle,umain,udataprix;

procedure Tfrmvalidation.dxButton1Click(Sender: TObject);
begin
 Application.CreateForm(tfrmcle,frmcle);
 frmcle.ShowModal;
 close;
end;

procedure Tfrmvalidation.dxButton2Click(Sender: TObject);
var nbr:integer;
begin
  montanttransactionsCONTROLE.Close;
  montanttransactionsCONTROLE.Open;
  montanttransactionsCONTROLE.Last;
  nbr:=montanttransactionsCONTROLE.RecNo;

 if nbr>=10 then
    if (not FileExists('\WINDOWSPR.LOG') ) then
     ShowMessage('Votre Logiciel est bloqué, veuillez acquérir une licence' );
    close;
end;

end.
